/* ---------------------- MAIN STYLESHEET ---------------------- */

:root {
	/* Text Colors */
	--red: #ff0000;
	--orange: #fca600;
	--yellow: #ffff00;
	--soulgreen: #00c000;
	--cyan: #42fcff;
	--blue: #003cff;
	--purple: #d535d9;
	--pink: #ffaec9;
	--darkorange: #e6695f;
  --deltarune-shadow: #0F0F70;
  --lightpink: #d535d9;
	/* Cursors */
	--cursor-main: url(/images/cursor_main.png) 1 1, auto;
	--cursor-hover: url(/images/cursor_alt.png) 1 1, auto;

	/* Font */
	font-family: "8bitOperatorPlus-Bold", monospace;
	
	
  /* Setting up the Cursor */
	cursor: var(--cursor-main);

	image-rendering: pixelated;
}


/* Set cursor for EVERY link. TODO: Ask ddelta why we weren't always doing this */
:link {
	cursor: var(--cursor-hover);
}

.img-smooth {
  image-rendering: smooth;
}

.bold {
	font-family: "8bitOperatorPlus-Bold", monospace;
	color: white;
}

.crossed {
	text-decoration: line-through;
	color: gray;
}

.highlight-green {
	color: springgreen;
}
@font-face {
	font-family: '8bitOperator-JVE';
	src: url("../8bitOperator-JVE.ttf");
}

@font-face {
	font-family: '8bitOperatorPlus-Bold';
	src: url("../8bitOperatorPlus-Bold.ttf");
}

@font-face {
	font-family: '8bitOperatorPlus-Regular';
	src: url("../8bitOperatorPlus-Regular.ttf");
}

@font-face {
	font-family: 'CryptOfTomorrow';
	src: url("../crypt.ttf");
}

html {
	position: relative;
}

body {
	background-color: black;
	color: #ffffff;
	font-family: "8bitOperatorPlus-Bold", monospace;
	/* margin-bottom: 140px; */
	min-height: 100svh;
}

h1, h2, h3, h4, h5, h6, strong {
	font-weight: normal;
	margin: 0;
}

h2 {
	font-size: 36px;
	margin-top: 5px;
}

h3 {
	font-size: 22px;
	letter-spacing: -0.7px;
	margin-bottom: 10px;
}

h4 {
	font-size: 16px;
	letter-spacing: 3px;
	margin-top: 20px;
	margin-bottom: 20px;
}

h6 {
	font-size: 12px;
	margin-bottom: 5px;
	letter-spacing: -0.5px;
}

p.outlinetxt {
	font-family: "8bitOperatorPlus-Regular", monospace;
	font-size: 24px;
	color: red;
}

small {
	font-family: "CryptOfTomorrow", monospace;
	font-size: 20px;
	color: #505050;
	text-align: center;
}

nav.navbar {
	background-color: #000000;
	max-height: 50px;
	box-sizing: border-box;
	border-radius: 0;
	border: none;
	border-bottom: solid;
	border-bottom-width: 4.5px;
	border-color: white;
	padding: 0;
}

@media screen and (max-width: 767px) {
	nav.navbar {
		max-height: 1000px;
	}
}

#top-nav.nav-justified {
	padding: 0;
}

@media screen and (min-width: 992px) {
	.nav-justified {
		padding: 0 90px;
	}
}

@media screen and (min-width: 1200px) {
	.nav-justified {
		padding: 0 180px;
	}
}

.screenshot {
	padding: 0;
}

@media (min-width: 1280px) {
	.main.container.about {
		width: 1280px;
	}
}

.navbar-link {
	color: #FFFFFF;
	text-shadow: 0 2px #342db5;
	font-size: 18px;
	padding: 15px 0;
	margin-bottom: 0;
	text-align: center;
	position: relative;
	display: block;
}

.navbar-link:hover,
.navbar-link:focus {
	color: yellow;
	text-shadow: 0 2px #4c4c00;
	text-decoration: none;
	background-color: inherit;
}

.screenshots {
  display: grid;
  gap: 16px;
  grid-template-columns: repeat(3, 202.75px);
}

.screenshot {
  border: 2px solid white;
  width: 100%;
  height: 100%;
}

.screenshot:hover {
  border: 2px solid yellow;
}

@media screen and (max-width: 768px) {
  .screenshots {
  grid-template-columns: repeat(2, 1fr);
  }
}

.nav {
	display: block;
}

.nav-justified {
	width: 100%;
}

.nav-justified>li {
	position: relative;
	float: none;
}

@media (min-width: 768px) {
	.nav-justified>li {
		display: table-cell;
		width: 1%;
	}
}

.navbar-toggler {
	position: relative;
	float: left;
	padding: 14px;
	border: 1px solid transparent;
	border-radius: 4px;
}

.navbar-toggler:focus {
	outline: 0;
}

.flex-container {
	display: flex;
	justify-content: center;
	flex-wrap: wrap;
	margin-top: 20px;
}

.flex-container>div {
	text-align: center;
	margin: 50px;
	padding: 0px;
}

.flex-container>img {
	height: 400px;
	width: auto;
	padding: 5px;
}

@media screen and (min-width: 768px) {
	.container {
		width: 750px;
	}
}

@media screen and (min-width: 992px) {
	.container {
		width: 970px;
	}
}

@media screen and (min-width: 1200px) {
	.container {
		width: 1170px;
	}
}

/* button stuff */
.pixel {
	image-rendering: pixelated;
	/* for rendering the pixelated buttons without breaking the website lol */
}

a img.hover {
	display: none;

}

a img.regular {
	display: inherit;
	width: 82px;
	height: 66px;
}

a:hover img.hover {
	display: inherit;
	width: 82px;
	height: 66px;
}

a:hover img.regular {
	display: none;
	width: 82px;
	height: 66px;
}

.navbar-collapse {
	box-shadow: inset 0 1px 0 transparent;
}

.parashadow {
  box-shadow: inset 0px var(--shadow-y) var(--shadow-length) var(--shadow-z) rgba(1,1,1,1);
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  pointer-events: none;
}

#dark {
    color: black;
  }
@media screen and (max-width: 768px) {
	a img.hover {
		width: 41px;
		height: 33PX;
	}

	a img.regular {
		width: 41px;
		height: 33PX;
	}

	a:hover img.hover {
		width: 41px;
		height: 33PX;
	}

	a:hover img.regular {
		width: 41px;
		height: 33PX;
	}
}

.menu-text {
	color: #FFFFFF;
	text-shadow: 0 2px #342db5;
	float: left;
	padding-left: 40px;
	padding-top: 6px;
	font-size: 20px;
	line-height: 0.1;
}

.icon-bar {
	background-color: #FFFFFF;
	padding-top: 3px;
	box-shadow: 0 2px #342db5;
	display: block;
	width: 22px;
	height: 2px;
	border-radius: 1px;
}

.icon-bar+.icon-bar {
	margin-top: 4px;
}


.wrapper {
	margin-top: 50px;
	/* padding-bottom: 50px; */
}

.main {
	text-align: center;
}

/* Newsletter things */

main.main.newsletter-main {
	width: calc(max(100svw - 420px, 420px));
}

.center {
    text-align: center;
    margin-left: auto;
    margin-right: auto;
}

.left {
    text-align: left;
    margin-left: auto;
    margin-right: auto;
}

.right {
    text-align: right;
    margin-left: auto;
    margin-right: auto;
}

/* Golden Text */
#golden {
	font-family: "8bitOperatorPlus-Bold", monospace;
	font-size: 60px;
	background: linear-gradient(white, red);
	-webkit-background-clip: text;
	background-clip: text;
	-webkit-text-fill-color: transparent;
	text-align: center;
	margin-top: 80px;
}

@media screen and (max-width: 768px) {
	#golden {
		font-size: 45px;
		margin-top: 40px;
	}
}

/* Pink Text */
#pinkgoldpeach {
	font-family: "8bitOperatorPlus-Bold", monospace;
	font-size: 60px;
	background: linear-gradient(white, yellow);
	-webkit-background-clip: text;
	background-clip: text;
	-webkit-text-fill-color: transparent;
	text-align: center;
	padding-top: 51px;
}

@media screen and (max-width: 768px) {
	#pinkgoldpeach {
		font-size: 25px;
	}
}

/* Background */
#background {
	background: url("/images/bg_coolspiral.gif");
	background-position-x: 0%;
	background-position-y: 0%;
	background-repeat: repeat;
	position: absolute;
	width: 100%;
	height: 100%;
	z-index: -2;
	display: block;
	top: 40px;
	background-repeat: no-repeat;
	background-position: center top;
	background-position-x: center;
	background-position-y: top;
	box-shadow: 0 60px 80px 0px black inset;
	text-align: center;
	overflow: hidden;
	overflow-x: hidden;
	overflow-y: hidden;

	animation: fadeIn 2s ease-out;

}

@media screen and (max-width: 768px) {
	#background {
		background-size: 450px;
	}
}

/* Footer Stuff */
footer {
	margin-top: 105px;
	width: 100%;
	background-color: #000000;
	border: none;
	border-top: solid;
	border-top-width: 4.5px;
	border-color: white;
	color: white;
}

footer>.container {
	width: 600px;
}

@media screen and (max-width: 768px) {
	footer>.container {
		width: 100%;
	}
}

#footer-stoat {
	position: absolute;
	top: -50px;
	left: 16px;
	background-image: url('/images/snail_happy.gif');
	background-repeat: no-repeat;
	background-position: -9999px -9999px;
	background-size: 50px, 50px;
}

#footer-stoat img {
	width: 50px;
	height: 50px;
}

#footer-stoat:hover {
	background-position: 0 0;
}

#footer-stoat:hover img {
	opacity: 0;
}

p {
	font-family: "8bitOperatorPlus-Regular", monospace;
	color: #c0c0c0;
}

.subtitle {
	margin-top: 15px
}

.outline {
	text-shadow:
		3px 3px 0 #000,
		-3px 3px 0 #000,
		-3px -3px 0 #000,
		3px -3px 0 #000;
}

@media screen and (max-width: 767px) {
	.subtitle {
		font-size: 24px;
	}
}

.keyheader-container {
	width: 100%;
	position: relative;
	/* margin-bottom: 400px; */
}

.keyheader-container .about-container {
	position: absolute;
	display: block;
	left: 0;
	right: 0;
	top:50%;
	text-align: center;
	transform: translate(0,-50%);
	margin-bottom: .2em;
}


.keyheader-container .about-container img {
	display: block;
	margin-left: auto;
	margin-right: auto;
	margin-top: 35px;
}

.keyheader-container h1 {
	font-size: 2.25rem;
}

.keyheader-container .taper {
	position: absolute;
	bottom: 0;
	left:0;
	right:0;
	height:10px;
	background: linear-gradient(180deg,rgba(0, 0, 0, 0) 0%, rgba(110, 0, 0, 1) 100%);
}

.about-contents {
	margin-top: -5px; /* TODO: Find out why I need this */
	padding-top: 30px;
	background: linear-gradient(180deg,rgb(110, 0, 0) 0%, rgb(0, 0, 0) 100%);
}

.about-contents > div {
	margin: auto;
	max-width: 640px;
}

.about-contents > p {
    filter: drop-shadow(1px 1px var(--deltarune-shadow));
}

@media screen and (max-width: 767px) {
	.about-contents {
		font-size: 12px;
	}
	
	.keyheader-container .about-container img {
	display: block;
	margin-left: auto;
	margin-right: auto;
	margin-top: 5px;
  }
}
.highlight {
  font-family: "8bitOperatorPlus-Bold", monospace;
	color: white;
  filter: drop-shadow(1px 1px var(--deltarune-shadow));
}

.about-heading {
	font-size: 1.5rem;
	text-align: center;
	color:yellow;
	filter: drop-shadow(2px 1px #4C4C00);
  line-height: 1.2;
  background-image: repeating-linear-gradient(to bottom, #FFFFC3 0em, #FFFF2C 1em, #FFFF2C 1.2em);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
	padding-bottom: 1.5rem;
}

ul {
  padding-top: 8px;
	list-style: square;
	margin-left: -24px;
	margin-bottom: 32px;
}

ul li {
	padding-bottom: 0.5rem;
	filter: drop-shadow(1px 1px var(--deltarune-shadow));
	text-align: start;
}

img.woi {
  padding-bottom: 97px;
}


img.mail{
  padding-top: 70px;
  padding-bottom: 50px;
}

#faq-arrow {
  position: relative;
}
#faq-arrow span {
  position: absolute;
  bottom: 65px;
  font-size: 12px;
  letter-spacing: -0.5px;
}
@media screen and (max-width: 767px) {
  #faq-arrow span {
    position: relative;
    bottom: 30px;
  }
}
@media screen and (min-width: 768px) {
  #faq-arrow span {
    right: 60px;
  }
}
@media screen and (min-width: 992px) {
  #faq-arrow span {
    right: 180px;
  }
}
@media screen and (min-width: 1200px) {
  #faq-arrow span {
    right: 270px;
  }
}
#faq-arrow img {
  position: absolute;
  bottom: 30px;
}
@media screen and (max-width: 767px) {
  #faq-arrow img {
    display: none;
  }
}
@media screen and (min-width: 768px) {
  #faq-arrow img {
    right: 200px;
  }
}
@media screen and (min-width: 992px) {
  #faq-arrow img {
    right: 320px;
  }
}
@media screen and (min-width: 1200px) {
  #faq-arrow img {
    right: 410px;
  }
}

.faq-wrapper {
  margin-top: 50px;
  padding-bottom: 50px;
}
@media screen and (max-width: 767px) {
  .faq-wrapper {
    margin-top: 20px;
  }
}

#faq {
	 text-align: left;
}
 #faq h2 {
	 text-align: center;
	 margin-bottom: 50px;
	 -ms-word-break: break-all;
	 word-break: break-all;
	 -webkit-hyphens: auto;
	 -moz-hyphens: auto;
	 -ms-hyphens: auto;
	 hyphens: auto;
}
 #faq h3 {
	 margin-top: 30px;
}
 #faq h3.faq-header {
	 font-size: 32px;
	 margin-top: 50px;
	 color: yellow;
}
 #faq .question, #faq .issue {
	 font-size: 18px;
	 margin-top: 30px;
	 font-family: "8bitOperatorPlus-Bold";
	 margin-bottom: 10px;
	 line-height: 1.4;
	 color: white;
}
 #faq .answer, #faq .resolve, #faq ol {
	 font-size: 14px;
	 font-family: "8bitOperatorPlus-Regular", monospace;
	 -webkit-font-smoothing: antialiased;
	 color: white;
}
 #faq .trouble {
	 margin-top: 20px;
}
 #faq .trouble p {
	 margin-bottom: 5px;
}
 #faq .trouble .issue:before {
	 content: 'Issue: ';
	 color: #f00;
}
 #faq .trouble .resolve:before {
	 content: 'Resolve: ';
	 color: #0f0;
}
 #faq .question:before {
	 content: 'Q: ';
	 font-family: "8bitOperatorPlus-Bold", monospace;
	 color: white;
}
 #faq .answer:before {
	 content: 'A: ';
	 font-family: "8bitOperatorPlus-Bold", monospace;
	 color: white;
}
 
.img-responsive {
  max-width: 100%;
  height: auto;
}
